init python:
    room_templates = {}

    # NOTE: Any room that wants to veto entering or leaving should define a roomname_check_leave () and/or roomname_check_leave () function.
    class Room (object):
        def __init__ (self, name, label=None, screen=None):
            self.name = name
            self.label = label if label else name
            self.screen = screen if screen else name
            self.no_csi = None
            self.alias = name
            store.room_templates [self.name] = self

    class RealRoom (object):
        def __init__ (self, template):
            r = template if isinstance (template, Room) else room_templates [template]
            self.name = r.name
            self.label = r.label
            self.screen = r.screen
            self.no_csi = r.no_csi
            self.alias = r.alias
            self.known = False
            self.items = []

        # NOTE: check_enter and check_leave are a bit tricky:
        #   - You shouldn't call the eval within the try-block since it might jump or call a label and ren'py implements these using exceptions.
        #   - check_enter might get called twice so it should not have any visible effect unless it fails.
        def check_enter (self, f):
            try:
                ce_fun =  eval ("{}_check_enter".format (self.name))
            except:
                return True
            return ce_fun (f)

        def check_leave (self, to):
            try:
                cl_fun =  eval ("{}_check_leave".format (self.name))
            except:
                return True
            return cl_fun (f)

        def enter (self, coming_from):
            if not self.check_enter (coming_from):
                return

            if store.current_room != self:
                renpy.scene ()
                renpy.show ("bg {}".format (self.name))
                for i in self.items:
                    renpy.show (i.tag, at_list=[Transform (pos=i.room_pos)])
                # renpy.with_statement (dissolve)
                renpy.with_statement (fade)
                self.known = True
                visited = self in visited_rooms
                store.visited_rooms.add (self)
                store.current_room = self
                from string import capwords
                renpy.show_screen ("placename", capwords (self.alias))
                if murderer [4].broken and my_gun in inventory:
                    renpy.jump ("dont_take_your_guns_to_town")
            else:
                visited = True

            # NOTE: renpy.call *ends* any python code.
            if not visited and renpy.has_label ("{}.first".format (self.label)):
                renpy.call ("{}.first".format (self.label), coming_from)
            elif renpy.has_label ("{}.visit".format (self.label)):
                renpy.call ("{}.visit".format (self.label), coming_from)

        def move_to (self, to, msg=None):
            if self.check_leave (to) and to.check_enter (self):
                if not msg:
                    narrator ("You leave the {}.".format (self.alias))
                else:
                    narrator (msg)
                to.enter (self)

label init_rooms:
    python:
        rooms = {}
        for r in room_templates:
            rooms [r] = RealRoom (r)
        visited_rooms = set ()
return
