label coroner:
    $ npc_coroner.add_topic ("Time of death?", "coroner.time_of_death")
    $ npc_coroner.add_topic ("Possible cause of death?", "coroner.cause", death_time)
    return

label .time_of_death:
    $ death_time.got ()
    p "Do we know when she died?"
    m "The body has been exposed to the water for at least two hours but not much longer than maybe twenty."
    m "Sorry, [sir]. But I fear I can't be much more specific than that."
    return

label .cause:
    $ autopsy.send ()
    $ npc_peppers.add_topic ("Tell me about the body.", "peppers.body")
    $ npc_peppers.add_topic ("Drag-marks?", "peppers.marks")
    p "Can you tell me something about how she died?"
    m "We have yet to conduct a full autopsy. I'll be on it as soon as the body is released by the CSI team."
    pp "It's all yours, [coroner_first]."
    m "Thank you."
    "..."
    if attack == "shot":
        $ wound.got ()
        m "There's a wound on her chest that looks like the entry wound of a gunshot, complete with what looks like an exit wound on her back."
    elif attack == "stabbed":
        $ wound.got ()
        m "There's a stab wound in her torso."
    elif attack == "blunt":
        $ wound.got ()
        m "The victim has suffered a blunt force trauma to the head."
    else:
        # $ no_wound.got ()
        m "There's no immediately visible wound."

    if wound.known:
        extend " We have yet to determine if the trauma was fatal."

    if attack in ["blunt", "drugged"]:
        $ clothed.got ()
        p "Could it have been an accident?"
        pp "Not likely. The body was fully clothed. And there's drag-marks leading to the pool."
    else:
        p "Is this were she's been killed?"
        pp "Not enough blood. And there's drag-marks leading to the pool."
    return

# How to handle autopsy ./. finding weapon?
# TODO: consistent reaction to noticing we destroyed the weapon? Well. If we're dumb enough to destroy it, we might be dumb enought to fail noticing it.
#       Eventually the case should be unsolvable either way.
label .autopsy (dummy=None):
    p "Do you have the results of the autopsy yet?"
    m "Yes we do."
    if attack == "shot":
        $ wound2.got ()
        m "The victim has an entry wound on her lower left frontal chest."
        m "The shape of this wound and the burn marks around it indicate that she was shot from a distance between ten and twenty inches using a {nw}"
        if weapon == gun2:
            extend "small calibered hand gun."
        else:
            extend "large calibered gun."
        m "The shot went right through her torso, damaging both heart and left lung."
        m "This trauma was immediately fatal."
    elif attack == "stabbed":
        $ wound2.got ()
        m "The victim has been stabbed using a {nw}"
        if weapon == knife:
            extend "large, broad blade weapon."
            m "Like a kitchen knife, maybe."
        else:
            extend "small long bladed weapon."
        m "The weapon entered just below her ripcage and was thrust upward quite forcefully, severing the aorta."
        m "This was immediately fatal."
        p "So our killer is a strong man?"
        m "Not necessarily. The weapon used was very sharp, and anger might compensate for physical strength."
        m "Oh, by the way ... an attack like this - it's very common for the attacker to cut themselves too."
        m "We were not able to find foreign DNA on the victim, but that's to be expected because of the exposure to water."
    elif attack == "blunt":
        $ wound2.got ()
        m "The victim suffered a severe head trauma, resulting from a single blow with a blunt weapon."
        m "We found small splinters of wood in the wound."
        p "So they used ... a baseball bat, maybe? Or a log?"
        pp "It could've been a mallet ... but the shape of the wound look more like a baseball bat."
        pp "If you happen to find the weapon we could match the splinters to it."
        m "..."
        if not was_drowned:
            m "The head trauma was fatal. There was no significant amout of water in her lungs. So she was dead before she was thrown into that pool."
    elif weapon == syringe:
        $ prick_found.got ()
        m "There's a prick of a syringe on the victim's left arm - or rather quite a scratch."
        m "It's not plausible to assume that this was part of a medical treatment nor that the victim applied the syringe to herself."
        p "She was ... poisoned? Drugged?"
        if drugs.known:
            m "We found a large concentration of the same muscle-relaxing agent that's missing from the sick room."
        else:
            m "There's been a large concentraion of a muscle-relaxing agent in her system."
        if weapon_analyzed.known:
            "The very same that was found in that syringe."
        m "Enough to render the victim completely helpless - maybe even to eventually kill her."
        if weapon.state == "destroyed":
            jump syringe_destroyed
        else:
            "So a syringe, huh? Does that ring a bell?"
    else:
        $ orally_drugged.got ()
        m "We found a high level of sopoforics in the victim's blood as well as in her stomach."
        sk "Could she have taken this willingly?"
        p "Maybe. But how did she end up in the pool then? Don't forget those drag-marks."
        m "All I can say is that the sopoforic was administered orally."
    if weapon_analyzed.known:
        m "In other words: I can confirm the findings of the CSI team regarding the weapon. Beyond any reasonable doubt."
    if was_drowned:
        $ drowned.got ()
        m "The initial attack wasn't immediately fatal as we found water in her lungs."
        m "The ultimate cause of death thus is diagnosed as \"drowning\"."
        p "Throwing an unconcious person face down into a pool of water still is murder in my book."
        m "Of course."
    m "There were no signs of a fight. No defensive wounds, no tissue under her fingernails, no signs of other attacks against her."
    m "According to the contents of her stomach, the victim's last meal was several hours before she died."
    m "There were no signs of a disease or other medical condition."
    if attack != "drugged":
        m "Tox-screen was negative. No relevant levels of blood alchohol."
    else:
        m "No other drugs. No relevant levels of blood alchohol."
    $ autopsy.informed ()
    return
