init python:
    class Time (object):
        def __init__ (self, hours=0, minutes=0, seconds=0):
            # Normalize parameters. And we won't go backwards!
            seconds += 3600*hours + 60*minutes
            if seconds < 0:
                seconds = 0
            self.hours = seconds // 3600
            seconds %= 3600
            self.minutes = seconds // 60
            self.seconds = seconds % 60

        def __add__ (self, other):
            return Time (self.hours+other.hours, self.minutes+other.minutes, self.seconds+other.seconds)

        def __sub__ (self, other):
            return Time (self.hours-other.hours, self.minutes-other.minutes, self.seconds-other.seconds)

        def __cmp__ (self, other):
            return self.hours*3600+self.minutes*60+self.seconds-other.hours*3600-other.minutes*60-other.seconds

        def __repr__ (self):
            return "Time({},{},{})".format (self.hours, self.minutes, self.seconds)

        def __str__ (self):
            return "{:02d}:{:02d} {}".format ((self.hours+11)%12+1, self.minutes, "am" if self.hours<12 else "pm")

    class Event (object):
        def _q_event (self, q):
            if q in event_queue:
                event_queue [q] = [e for e in event_queue [q] if e.time <= self.time] + [self] + [e for e in event_queue [q] if e.time > self.time] 
            else:
                event_queue [q] = [self]

        def __init__ (self, queue, action, time=None, hours=0, minutes=0, worklist=False):
            self.action = action
            self.queue = queue or npc_peppers
            if time:
                self.time = time
            elif worklist and self.queue in event_queue and event_queue [self.queue]:
                self.time = event_queue [self.queue][-1].time + Time (hours=hours, minutes=minutes)
            else:
                self.time = store.clock + Time (hours=hours, minutes=minutes)
            self._q_event (self.queue)

        def __call__ (self):
            try:
                event_queue [self.queue].remove (self)
            except:
                pass
            if isinstance (self.action, Clue):
                self.action.examined (self.queue)
            else:
                renpy.call (self.action)

        @staticmethod
        def dequeue (q, action):
            try:
                ev = [e for e in event_queue [q] if e.action == action][0]
                event_queue [q].remove (ev)
            except:
                pass

label init_events:
python:
    event_queue = {}
    Event ("deadline", "too_lame", Time (16,45))

    ask_steve_scheduled = False
return

label check_status:
    $ clock += tick

    if time_wastes > 4:
        "Your phone rings."
        "Oh. It's your boss!"
        p "[player]?"
        boss "Do you think CSI has nothing better do than to provide you with some entertainment?"
        p "No, Ma'am, of course not!"
        boss "Than why all those pointless tests?"
        p "I'm just trying to be thorough, Ma'am."
        boss "{b}\"Thorough\"?{/b} Wasting countless hours of manpower and blocking valuable lab resources?"
        jump yourefired

    # Asking Steve about Karla using his notebook has too many dependencies ...
    if npc_karla.guilty and weapon == syringe:
        if weapon_analyzed.known and sw_notebook.known and npc_karla.topic_handled ("karla.diary") and not ask_steve_scheduled:
            $ ask_steve_scheduled = True
            # Should there be a hint?
            $ npc_steve.add_topic ("Karla uses your notebook?", "steve.karla_nb")

    $ evs = [event_queue [q].pop (0) for q in event_queue if event_queue [q] and event_queue [q][0].time <= clock]
    while evs:
        $ ev = evs.pop (0)
        $ ev ()
    return

label too_lame:
    scene black with dissolve
    "You run around the school aimlessly for a while. You never quite figure out what really happened."
    "Eventually ..."
    scene bg schoolyard with dissolve
    $ killed, killed_first, killed_last, killed_addr, killed_item = renpy.random.choice ([s for s in suspects if s != murderer])
    "Your boss called you to tell you that they've found the hanged body of [killed_first] [killed_last]."
    "There's been an unsigned computer-typed suicide note reading \"I killed her\"."
    boss "You're case is closed."
    p "But ..."
    $ himself = "himself" if killed_addr == "Mr." else "herself"
    boss "But what? Your murderer killed [himself] and left a confession as a suicide note."
    "Is that really what happened? You do have your doubts."
    p "..."
    boss "Or can you {b}prove{/b} that this is not what happened?"
    p "...{w} ...{w} ...{w} {size=-4}No, Ma'am, we can't.{/size}"
    boss "Didn't think so."
    jump credits
