init python:
    Room ("gym")

label gym:
python:
    to_pool = Exit ("pool", "This takes you back to the pool.", "You go back to the pool.")
    to_school = Exit ("hall", "Behind this door lies the school itself.", "You enter the school.")
    to_closet = Exit ("closet", "There seems to be a small closet behind this door.", "You enter the small closet.")

    locked_door = Item ("locked door")
    locked_door.look ("This door seems locked.")
    locked_door.ex ("You don't see any traces that this door has been opened in a while. There's even some dust on the handle!")
    locked_door.add_verb ("take", label="take_door")

    theatre_storage = Container ("theatre storage")
    theatre_storage.look ("The gym is also used by the schools theatre group. During the season they keep their stuff below the stage.")

    behind_curtain = Container ("behind curtain")
    behind_curtain.look ("This would seem like a good place to quickly hide something.")

    lectern = Container ("lectern")
    lectern.look ("This little desk can be openened. It's inconspicuous and large enough to hide a weapon.")

    weapon_stash += [theatre_storage, behind_curtain, lectern]

    gym_blood = Item ("blood stain in gym")
    gym_blood.add_verb ("CSI", label="first_blood")
return

label .first (coming_from):
    sk "This would be a perfect room for gathering all the suspects for the interviews."
    p "You're right. But first we should search it thoroughly."
    sk "Yeah. Nothing like a bunch of high school kids to contaminate a site."
    "Maybe you should use that CSI lamp to look for clues?"
    return

label .visit (coming_from):
    $ do_chat = False
    # TODO: BUG: this is not reload safe, since Rooms are loaded at init.
    if rounded_up:
        $ rooms ["gym"].no_csi = "There's no point anymore. All those people have destroyed any evidence you might have failed to secure."
    return

label take_door (i, v, o):
    p "Do we hav the keys to that door?"
    sk "Not yet, [sk_address]. According to facility management it hasn't been used in weeks."
    sk "I've asked them to give us the keys anyway, but since today's a Saturday during the summer break ..."
    p "Let's hope we can wrap this up without looking into those rooms."
    return

label first_blood (i, v, o):
    p "There's a tiny trace of blood on the door leading to the pool."
    sk "Maybe a fingerprint of the murderer with his victim's blood?"
    p "As if things ever were that easy."
    sk "Here's hoping!"
    p "Hrmpf."
    sk "... I'll call Peppers and let them check anyway."
    p "Sure, go ahead."
    $ Event (npc_peppers, "blood_on_gym_examined", minutes=10, worklist=True)
    return

screen gym ():
    imagemap:
        alpha True

        ground "bg/bg gym.jpg"
        hover "bg/bg gym mask.png"

        if not rounded_up:
            if selected != torch:
                hotspot (0, 340, 152, 274) action Return (to_school)
                hotspot (480, 377, 64, 88) action Return (behind_curtain)
                hotspot (1131, 414, 63, 161) action Return (to_pool)
                hotspot (691, 415, 63, 63) action Return (lectern)
                hotspot (243, 416, 69, 147) action Return (locked_door)
                hotspot (1015, 425, 59, 122) action Return (locked_door)
                hotspot (370, 427, 62, 122) action Return (to_closet)
                hotspot (531, 497, 373, 58) action Return (theatre_storage)
            else:
                hotspot (1165, 493, 6, 14) action Return (gym_blood)
                use hints ("gym")
                add Searchlight ("gym")
        else:
            hotspot (0, 340, 152, 274) action Return (to_school)
            hotspot (1131, 414, 63, 161) action Return (to_pool)

            $ delta = 1.0 / (len (suspects) + 1.0)
            $ x = delta
            for s in suspects:
                imagebutton idle s [0] hover s [0]+"_hover" action Return (s [4]) xalign x yalign 1.0 hovered SetVariable ("do_chat", True) unhovered SetVariable ("do_chat", False)
                $ x += delta

        use inventory (chat=do_chat and rounded_up)
