# define hn = Character ("Hate-note", color="#f0f", what_color="#f00")
define poem = Character ("Poem", color="#f0f", what_color="#f00")

init python:
    Room ("girl's bedroom b", "karlas_room", "karlas_room").alias = "Karla's room"

label karlas_room:
python:
    # If Karla's the murderer, her room will be LOADED with hints.
    k2dorm = Exit ("dorm", "Go back to the foyer.", "You leave Karla Williams' room.")

    calendar = Item ("calendar")
    calendar.look ("A calendar showing the current month.")
    calendar.ex ("Next monday has been marked with a red circle and bang.")

    k_wardrobe = Container ("wardrobe")
    k_wardrobe.look ("Karla's wardrobe. It's full of her cloths.")

    k_gbook = Item ("geography book")
    k_gbook.look ("A school book. Seemingly it's about her geography class.")
    k_gbook.add_verb ("ex", label="read_gbook")

    k_letter.look ("There's a scrap of paper sticking out of that drawer.")
    k_letter.add_verb ("ex", label="read_letter")
    k_letter.assign_room ("girl's bedroom b", (147, 244))

    k_diary.look ("That looks like a diary.")
    k_diary.add_verb ("ex", label="read_diary")
    k_diary.assign_room ("girl's bedroom b", (455, 250))

    k_drawer1 = Container ("drawer")
    k_drawer1.look ("A drawer on Karla's bookshelf.")

    k_pen = Item ("pen")
    k_pen.look ("Just a pen.")

    k_cupboard = Container ("cupboard")
    k_cupboard.look ("A cupboard. It seems to contain an elegant teaset.")
    k_cupboard.add_verb ("ex", label="examine_cupboard")

    k_drawer2 = Container ("drawer")
    k_drawer2.look ("The right drawer in Karla's desk.")

    k_drawer3 = Container ("drawer")
    k_drawer3.look ("The left drawer in Karla's desk.")

    k_drawer4 = Container ("drawer")
    k_drawer4.look ("A drawer in Karla's desk.")

    k_drawer5 = Container ("drawer")
    k_drawer5.look ("A drawer in Karla's desk.")

    k_drawer6 = Container ("drawer")
    k_drawer6.look ("A drawer in Karla's desk.")

    k_drawer7 = Container ("drawer")
    k_drawer7.look ("A drawer in Karla's desk.")

    k_drawer8 = Container ("drawer")
    k_drawer8.look ("The drawer below Karla's cupboard.")

    k_cloths = Clue ("cloths", "peppers.k_cloths_results")
    k_cloths.look ("Seems like someone changed her outfit in her hurry.")
    k_cloths.add_verb ("ex", label="examine_k_cloths")
    # Change verb take?

    kw_print = Clue ("finger print", "peppers.blood_print", "The remains of a bloody fingerprint.")

    k_stash = ContainerGroup (k_wardrobe, k_cupboard, k_drawer1, k_drawer2, k_drawer3, k_drawer4, k_drawer5, k_drawer6, k_drawer7, k_drawer8)
return

label .first (coming_from):
    return

label .visit (coming_from):
    return

label read_gbook (i, v, o):
    "You take the geography book and browse through it idly."
    if npc_karla.guilty:
        p "Some of the pages have been torn out."
        sk "Seems she not too fond of the subject."
        p "Hmm."
        $ npc_karla.add_topic ("Why do you hate Geography?", "karla.geography", files)
    else:
        "You find nothing of relevance."
    return

label read_letter (i, v, o):
    "You carefully take the scrap of paper out of the drawer, touching only one of the edges."
    if npc_karla.guilty:
        $ npc_karla.add_topic ("Talk about the poem.", "karla.poem")
        "It's a handwritten poem. You have trouble reading it."
        show poem at truecenter
        pause
        hide poem
        sk "Very ominous."
        p "Yeah. But it's nothing we could work with in court."
    else:
        "It's an unsent love-letter addressed to one \"Robert\". Probably one of the kids that went home over the break."
    "You put paper back where you found it."
    return

label read_diary (i, v, o):
    "You carefully take the diary."
    if npc_karla.guilty:
        "The first entries date several years back. The usual stuff: family, friends."
        "Mostly it's about her brother and a friend named \"Debbs\" - probably Ms. Smith."
        "The last entry is dated a few weeks back and full of raging hatred."
        "\"I'll kill her! I swear I will kill that snake if she ever touches him again!\""
        "\"She's dead!\""
        "\"Dead!\""
    else:
        "You read a few pages. Basically it's what you'd expect from a teenage girl's diary."
        "Seems she has a crush on one of the boys who went home over the break."
        "Except from that she mostly writes about her brother and a friend named \"Debbs\" - probably Ms. Smith."
    "You put the diary back where you found it."
    return

label examine_cupboard (i, v, o):
    if weapon == cup:
        $ npc_karla.add_topic ("There's a cup missing.", "karla.missing_cup")
        $ npc_deborah.block_topic ("deborah.cup3")
        "An elegant teaset made of china and silver."
        sk "I'm not an expert, but five cups and ... three, four, five, {b}six{/b} plates?"
        p "Yeah. Looks like she missing a cup."
        if cup.state != "idle":
            sk "These look like the one we found before, don't you think?"
            p "As far as I can tell ... yes."
        elif cup.room and cup.room in visited_rooms:
            sk "There was a cup that looked much like these somewhere."
            p "?{w} ...{w} You're right."
    else:
        "An elegant teaset. Six china cups, matching saucers and plates, teapot, creamer and sugar bowl seem to be made of silver."
        "You're by no means an expert, but that stuff doesn't look cheap."
        "It seems to be complete."
    return

label examine_k_cloths (i, v, o):
    $ k_cloths.find ()
    $ npc_karla.add_topic ("Did you change just for us?", "karla.change")
    p "That's weird."
    sk "Huh?"
    p "That cloths on her bed. Those don't look like nightwear."
    if caller == "karla":
        p "Would you bother to change after finding your teacher dead in a swimming pool, knowing that one of your friends is a murderer and you're a suspect too?"
    else:
        p "Why would she bother to change after being woken to learn her teacher has been murdered and she's one of the suspects?"
    sk "Maybe she didn't go to bed last night?"
    p "Maybe. But that'd be suspicious too. I don't like coincidence."
    sk "Yeah. Maybe we should Peppers have a look at these?"
    return

screen karlas_room ():
    imagemap:
        alpha True

        ground "bg/bg girl's bedroom b.jpg"
        hover "bg/bg girl's bedroom b mask.png"

        if selected != torch:
            hotspot (286, 0, 120, 169) action Return (calendar)
            hotspot (606, 0, 240, 536) action Return (k_wardrobe)
            hotspot (21, 98, 21, 147) action Return (k_gbook)
            hotspot (38, 265, 20, 21) action Return (k_drawer1)
            hotspot (401, 374, 175, 188) action Return (k_cupboard)
            hotspot (109, 381, 71, 28) action Return (k_pen)
            hotspot (367, 420, 28, 50) action Return (k_drawer2)
            hotspot (115, 446, 57, 54) action Return (k_drawer3)
            hotspot (2, 454, 99, 51) action Return (k_drawer4)
            hotspot (874, 492, 390, 144) action Return (k_cloths) sensitive k_cloths.is_visible ()
            #hotspot (874, 492, 253, 144) action Return (None)
            #hotspot (1129, 511, 136, 54) action Return (None)
            hotspot (2, 519, 99, 62) action Return (k_drawer5)
            hotspot (417, 569, 145, 68) action Return (k_drawer8)
            hotspot (2, 588, 99, 49) action Return (k_drawer6)
            hotspot (2, 643, 99, 76) action Return (k_drawer7)
            hotspot (275, 675, 335, 44) action Return (k2dorm)
            imagebutton:
                insensitive "icons/dummy.png"
                idle "objects/letter.png"
                hover "objects/letter_hover.png"
                action [Return (k_letter), SensitiveIf (k_letter.is_visible ())]
                xpos 147
                ypos 244
            imagebutton:
                insensitive "icons/dummy.png"
                idle "objects/diary.png"
                hover "objects/diary_hover.png"
                action [Return (k_diary), SensitiveIf (k_diary.is_visible ())]
                xpos 455
                ypos 250
        else:
            if k_letter.is_visible ():
                add "objects/letter.png" xpos 147 ypos 244
            if k_diary.is_visible ():
                add "objects/diary.png" xpos 455 ypos 250
            use hints ("girl's bedroom b")
            add Searchlight ("girl's bedroom b")

        use inventory
