﻿## This file contains options that can be changed to customize your game.
##
## Lines beginning with two '#' marks are comments, and you shouldn't uncomment
## them. Lines beginning with a single '#' mark are commented-out code, and you
## may want to uncomment them when appropriate.


## Basics ######################################################################

## A human-readable name of the game. This is used to set the default window
## title, and shows up in the interface and error reports.
##
## The _() surrounding the string marks it as eligible for translation.

define config.name = _("The Last Lesson")


## Determines if the title given above is shown on the main menu screen. Set
## this to False to hide the title.

define gui.show_name = True


## The version of the game.

define config.version = "0.3.2"


## Text that is placed on the game's about screen. Place the text between the
## triple-quotes, and leave a blank line between paragraphs.

define gui.about = _p("""
    {size=+10}{color=#ff0}Credits:{/color}{/size}

    Backgrounds taken from {a=http://www.studio-74.net/material/74bg-material.html}\"Studio 74\"{/a}.
    Pictures have been scaled and cropped for a 1280x720 resolution by the author.
    Some have been further edited or mirrored by the author or Kevincalanor.
    Others have been replaced by reworked versions from
    {a=https://rpgmaker.net/games/3229/artistic/?post=529496#post529496}\"HTC Reworked Backgrounds\"{/a}.

    All character graphics (sprites) have been created using my
    {a=https://rpgmaker.net/games/3229/technical/?post=832032#post832032}Tachie Generator{/a} (using a yet to be released
    version).

    Female sprites are based on {a=https://rpgmaker.net/games/3229/artistic/?post=780376#post780376}HTC-TachieWorkshop.psd{/a}
    & {a=https://rpgmaker.net/games/3229/artistic/?post=855848#post855848}\"HexComet_HTCModel.psd\"{/a}
    by Kevincalanor and Nekochi.

    Male sprites based on a yet to be released PSD-template by Kevincalanor.

    {color=#ff0}Police hat:{/color}{vspace=0}Image by {a=https://pixabay.com/users/OpenClipart-Vectors-30363/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=160021}OpenClipart-Vectors{/a} from {a=https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=160021}Pixabay{/a}

    {color=#ff0}Emblem:{/color}{vspace=0}Image by {a=https://pixabay.com/users/Parker_West-7094318/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=3446192}Parker_West{/a} from {a=https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=3446192}Pixabay{/a}

    {color=#ff0}Tombstone:{/color}{vspace=0}Image by {a=https://pixabay.com/users/OpenClipart-Vectors-30363/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=151488}OpenClipart-Vectors{/a} from {a=https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=151488}Pixabay{/a}

    {color=#ff0}Meadows:{/color}{vspace=0}Image by {a=https://pixabay.com/users/Alexas_Fotos-686414/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=2184989}Alexas_Fotos{/a} from {a=https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=2184989}Pixabay{/a}

    {color=#ff0}Bucket:{/color}{vspace=0}Image by {a=https://pixabay.com/users/MiluCernochova-1555503/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=1445344}Milu Černochová{/a} from {a=https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=1445344}Pixabay{/a}

    {color=#ff0}Fired:{/color}{vspace=0}Image by {a=https://pixabay.com/users/Clker-Free-Vector-Images-3736/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=295131}Clker-Free-Vector-Images{/a} from {a=https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=295131}Pixabay{/a}

    {color=#ff0}Baseball bat:{/color}{vspace=0}Image by {a=https://pixabay.com/users/Clker-Free-Vector-Images-3736/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=25755}Clker-Free-Vector-Images{/a} from {a=https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=25755}Pixabay{/a}

    {color=#ff0}Keys:{/color}{vspace=0}Image by {a=https://pixabay.com/users/avaiomedia-3915222/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=1966556}avaiomedia{/a} from {a=https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=1966556}Pixabay{/a}

    {color=#ff0}Guns:{/color}{vspace=0}Image
    by {a=https://pixabay.com/users/OpenClipart-Vectors-30363/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=158868}OpenClipart-Vectors{/a} from {a=https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=158868}Pixabay{/a}{vspace=0}Image
    by {a=https://pixabay.com/users/OpenClipart-Vectors-30363/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=161223}OpenClipart-Vectors{/a} from {a=https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=161223}Pixabay{/a}{vspace=0}Image
    by {a=https://pixabay.com/users/OpenClipart-Vectors-30363/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=154480}OpenClipart-Vectors{/a} from {a=https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=154480}Pixabay{/a}

    {color=#ff0}Various splatter patterns:{/color}{vspace=0}Image
    by {a=https://pixabay.com/users/BUMIPUTRA-731298/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=2540702}BUMIPUTRA{/a} from {a=https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=2540702}Pixabay{/a}{vspace=0}Image
    by {a=https://pixabay.com/users/BUMIPUTRA-731298/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=2540699}BUMIPUTRA{/a} from {a=https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=2540699}Pixabay{/a}{vspace=0}Image
    by {a=https://pixabay.com/users/CreatureSH-1531436/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=2174691}CreatureSH{/a} from {a=https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=2174691}Pixabay{/a}{vspace=0}Image
    by {a=https://pixabay.com/users/ArtsyBee-462611/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=1564379}Oberholster Venita{/a} from {a=https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=1564379}Pixabay{/a}{vspace=0}Image
    by {a=https://pixabay.com/users/PlumePloume-753810/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=1528005}Plume Ploume{/a} from {a=https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=1528005}Pixabay{/a}{vspace=0}Image
    by {a=https://pixabay.com/users/Clker-Free-Vector-Images-3736/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=42387}Clker-Free-Vector-Images{/a} from {a=https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=42387}Pixabay{/a}{vspace=0}Image
    by {a=https://pixabay.com/users/Clker-Free-Vector-Images-3736/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=303244}Clker-Free-Vector-Images{/a} from {a=https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=303244}Pixabay{/a}

    {color=#ff0}Dead woman in pool based on:{/a}{vspace=0}Photo
    by Elina Sazonova from Pexels {a=https://www.pexels.com/photo/photo-of-woman-walking-on-seashore-2072583/}https://www.pexels.com/photo/photo-of-woman-walking-on-seashore-2072583/{/a}

    {color=#ff0}Cup:{/color}{vspace=0}Image
    by {a=https://pixabay.com/users/BilliTheCat-7996303/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=3315076}Nina Garman{/a} from {a=https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=3315076}Pixabay{/a}

    Addtional credits that should be there: bars on winning screen and font used for poem. Maybe mention Riku who's borrowed from Heartache?

    Credit for Zakariya for \"fired\" screen and other input.
""")


## A short name for the game used for executables and directories in the built
## distribution. This must be ASCII-only, and must not contain spaces, colons,
## or semicolons.

define build.name = "tll"


## Sounds and music ############################################################

## These three variables control which mixers are shown to the player by
## default. Setting one of these to False will hide the appropriate mixer.

define config.has_sound = True
define config.has_music = True
define config.has_voice = True


## To allow the user to play a test sound on the sound or voice channel,
## uncomment a line below and use it to set a sample sound to play.

# define config.sample_sound = "sample-sound.ogg"
# define config.sample_voice = "sample-voice.ogg"


## Uncomment the following line to set an audio file that will be played while
## the player is at the main menu. This file will continue playing into the
## game, until it is stopped or another file is played.

# define config.main_menu_music = "main-menu-theme.ogg"


## Transitions #################################################################
##
## These variables set transitions that are used when certain events occur.
## Each variable should be set to a transition, or None to indicate that no
## transition should be used.

## Entering or exiting the game menu.

define config.enter_transition = dissolve
define config.exit_transition = dissolve


## Between screens of the game menu.

define config.intra_transition = dissolve


## A transition that is used after a game has been loaded.

define config.after_load_transition = None


## Used when entering the main menu after the game has ended.

define config.end_game_transition = None


## A variable to set the transition used when the game starts does not exist.
## Instead, use a with statement after showing the initial scene.


## Window management ###########################################################
##
## This controls when the dialogue window is displayed. If "show", it is always
## displayed. If "hide", it is only displayed when dialogue is present. If
## "auto", the window is hidden before scene statements and shown again once
## dialogue is displayed.
##
## After the game has started, this can be changed with the "window show",
## "window hide", and "window auto" statements.

define config.window = "auto"


## Transitions used to show and hide the dialogue window

define config.window_show_transition = Dissolve(.2)
define config.window_hide_transition = Dissolve(.2)


## Preference defaults #########################################################

## Controls the default text speed. The default, 0, is infinite, while any other
## number is the number of characters per second to type out.

default preferences.text_cps = 0


## The default auto-forward delay. Larger numbers lead to longer waits, with 0
## to 30 being the valid range.

default preferences.afm_time = 15


## Save directory ##############################################################
##
## Controls the platform-specific place Ren'Py will place the save files for
## this game. The save files will be placed in:
##
## Windows: %APPDATA\RenPy\<config.save_directory>
##
## Macintosh: $HOME/Library/RenPy/<config.save_directory>
##
## Linux: $HOME/.renpy/<config.save_directory>
##
## This generally should not be changed, and if it is, should always be a
## literal string, not an expression.

define config.save_directory = "tll-1559965751"


## Icon ########################################################################
##
## The icon displayed on the taskbar or dock.

define config.window_icon = "gui/window_icon.png"


## Build configuration #########################################################
##
## This section controls how Ren'Py turns your project into distribution files.

init python:

    ## The following functions take file patterns. File patterns are case-
    ## insensitive, and matched against the path relative to the base directory,
    ## with and without a leading /. If multiple patterns match, the first is
    ## used.
    ##
    ## In a pattern:
    ##
    ## / is the directory separator.
    ##
    ## * matches all characters, except the directory separator.
    ##
    ## ** matches all characters, including the directory separator.
    ##
    ## For example, "*.txt" matches txt files in the base directory, "game/
    ## **.ogg" matches ogg files in the game directory or any of its
    ## subdirectories, and "**.psd" matches psd files anywhere in the project.

    ## Classify files as None to exclude them from the built distributions.

    build.classify('**~', None)
    build.classify('**.bak', None)
    build.classify('**/.**', None)
    build.classify('**/#**', None)
    build.classify('**/thumbs.db', None)

    ## To archive files, classify them as 'archive'.

    # build.classify('game/**.png', 'archive')
    # build.classify('game/**.jpg', 'archive')

    ## Files matching documentation patterns are duplicated in a mac app build,
    ## so they appear in both the app and the zip file.

    build.documentation('*.html')
    build.documentation('*.txt')

## Set this to a string containing your Apple Developer ID Application to enable
## codesigning on the Mac. Be sure to change it to your own Apple-issued ID.

# define build.mac_identity = "Developer ID Application: Guy Shy (XHTE5H7Z42)"


## A Google Play license key is required to download expansion files and perform
## in-app purchases. It can be found on the "Services & APIs" page of the Google
## Play developer console.

# define build.google_play_key = "..."


## The username and project name associated with an itch.io project, separated
## by a slash.

# define build.itch_project = "renpytom/test-project"
