﻿# TODO: Colors for suspects, witnesses and staff
# TODO: Person class combining Character and other data, like gender?
# TODO: don't use p or m for anything other than refering to the player or the coroner resp.

define p = DynamicCharacter ("player", color="#ff8", what_color="#ff0")
# image sk = DynamicImage ("[sk_image]")
# define sk = DynamicCharacter ("sk_first", image="sk")
define charlotte = DynamicCharacter ("sk_label", image="charlotte")
define charles = DynamicCharacter ("sk_label", image="charles")
define sm = Character ("Sergeant", image="sergeant")
define pp = Character ("Peppers", image="peppers")
define maurice = Character ("Maurice", image="maurice")
define maude = Character ("Maude", image="maude")

define ad = Character ("Ms. Alyssa Davis", image="alyssa")
define sw = Character ("Mr. Steve Williams", image="steve")
define kw = Character ("Ms. Karla Williams", image="karla")
define ds = Character ("Ms. Deborah Smith", image="deborah")
define mh = Character ("Mr. Michael Henderson", image="michael")
define boss = Character ("Boss")

define flashbulb = Fade (0.2, 0.0, 0.2, color='#fff')

default persistent.gender = None
default persistent.m_full = "Dean Robertson"
default persistent.f_full = "Donna Robertson"
default persistent.sk_first = None
default persistent.sk_last = None
default persistent.sk_her = None
default persistent.sk_She = None
default persistent.address = None

default persistent.cheat_mode = False
default persistent.solved = []
default persistent.suppressed = []

# default persistent.cheat_mode = True
# default persistent.solved =     ["Steve Williams", "Karla Williams"] # , "Deborah Smith", "Michael Henderson", "Alyssa Davis"]
# default persistent.suppressed = ["Steve Williams"                  ] # , "Deborah Smith", "Michael Henderson", "Alyssa Davis"]

define default_last = "Robertson"
define default_f_first = "Donna"
define default_m_first = "Dean"

init -10 python:
    from string import capwords
    def set_male_name (val):
        persistent.m_full = capwords (val.strip ())
        _return = persistent.m_full

    def set_female_name (val):
        persistent.f_full = capwords (val.strip ())
        _return = persistent.f_full

    # Source: https://stackoverflow.com/questions/9647202/ordinal-numbers-replacement
    ordinal = lambda n: "%d%s" % (n,"tsnrhtdd"[(n/10%10!=1)*(n%10<4)*n%10::4])

label splashscreen:
    scene bg game
    # nvl clear
    # nvl_narrator "Disclaimer"
    # nvl_narrator "This is a game about a murder investigation."
    # nvl_narrator "There will be death and maybe suide."
    # nvl_narrator "Don't play if you're easily disturbed by dark themes."
    # nvl clear
    show screen disclaimer
    pause 7.0
    hide screen disclaimer with dissolve
    return

label customize:
    if not persistent.gender or not persistent.sk_her or not persistent.address:
        scene black
        "Please customize your main character and your sidekick."
        "Things not defined by you will be defined by the game."
        call screen game_settings

    python:
        if persistent.gender == "male":
            gender = "male"
            sir = "Sir"
            his = "his"
        else:
            gender = "female"
            sir = "Ma'am"
            his = "her"

        full_name = (persistent.m_full if gender == "male" else persistent.f_full).split ()
        if not full_name:
            if gender == "male":
                persistent.m_full = default_m_first + " " + default_last
                first = default_m_first
            else:
                persistent.f_full = default_f_first + " " + default_last
                first = default_f_first
            last = default_last
        else:
            first = ' '.join (full_name [:-1]) if len (full_name) > 1 else default_m_first if gender == "male" else default_f_first
            last = full_name [-1]

        player = "CI " + last

        from time import localtime, strftime
        tmtm = localtime ()
        year = tmtm.tm_year
        month = strftime ("%B", tmtm)
        day = ordinal (tmtm.tm_mday)

        byear = year - renpy.random.randint (33,37)

        if not persistent.sk_her:
            sk = charlotte
            sk_first = "Charlotte"
            sk_last = "Redfern"
            sk_her = "her"
            sk_She = "She"
            sk_sir = "Ma'am"
            sk_image = "charlotte"
        elif persistent.sk_her == "her":
            sk = charlotte
            sk_first = persistent.sk_first
            sk_last = persistent.sk_last
            sk_her = "her"
            sk_She = "She"
            sk_sir = "Ma'am"
            sk_image = sk_first.lower ()
        else:
            sk = charles
            sk_first = persistent.sk_first
            sk_last = persistent.sk_last
            sk_her = "him"
            sk_She = "He"
            sk_sir = "Sir"
            sk_image = sk_first.lower ()

        if not persistent.address:
            address = "detective"
            sk_address = "chief inspector"
            sk_label = "Detective " + sk_last
        elif persistent.address == "detective":
            address = persistent.address
            sk_address = "chief inspector"
            sk_label = "Detective " + sk_last
        elif persistent.address == "first":
            address = sk_first
            sk_address = first
            sk_label = address
        elif persistent.address == "Charlie":
            address = persistent.address
            sk_address = first
            sk_label = address
        else:
            address = sk_last
            sk_address = "chief " + last
            sk_label = address

        if renpy.random.randint (0,1):
            m = maurice
            coroner = "maurice"
            coroner_first = "Maurice"
            coroner_last = "Lampert"
        else:
            m = maude
            coroner = "maude"
            coroner_first = "Maude"
            coroner_last = "Campell"
    return

label init_game:
    $ renpy.random.seed ()

    call customize from _call_customize

    python:
        clock = Time (6, 0)
        tick = Time (seconds=17)
        csi_tick = Time (minutes=4, seconds=31)
        talk = Time (minutes=6)
        interview = Time (minutes=17)
        endgame = False

        joker = False

        clues_handled = set ()
        hints_got = set ()
        
        talks_with_sergeant = 0
        talks_with_peppers = 0
        talks_with_coroner = 0

        talks_with_boss = 0

        round_up = False
        rounded_up = False

        talks_with_steve = 0
        talks_with_karla = 0
        talks_with_deborah = 0
        talks_with_michael = 0
        talks_with_alyssa = 0

        time_wastes = 0
        weapon_talks = 0

        npc_sergeant = NPC ("Sgt. Miller", sm, "sergeant", "This is Sergeant Miller of the regular police. His forces have secured the crime scene.")
        npc_peppers = NPC ("Peppers", pp, "peppers")
        npc_peppers.add_verb ("look", label="look_peppers")
        npc_coroner = NPC ("Coroner", m, coroner, "If you want to learn more about the how the victim died you should talk to [coroner_first] [coroner_last].")

        # Hints and Clues we REALLY need before we can solve the case.
        kids_did_it = Hint ("One of the kids must be the killer")
        autopsy = Clue ("autopsy", "coroner.autopsy", owner=npc_coroner, delay=165)
        weapon_analyzed = Hint ("You've found the weapon used and Peppers has analyzed it in full.")
        weapon_linked = Hint ("You can link weapon, crime and culprit.")
        motive = Hint ("The culprit conceded their motive.")
        confession = Hint ("You have a confession.")
        vital_clues = [kids_did_it, autopsy, weapon_analyzed, weapon_linked, motive, confession]

        # You NEVER can prove that! Don't bother.
        not_single = Hint ("The murderer must have had help.")
        party = Hint ("Sally was on a party.")
        family = Hint ("Family background.")
        too_rich = Hint ("Sally had too much money for a mere teacher.")
        # TODO: do we need Hints for every kid that they actually attended that course?
        course = Hint ("Sally was tutoring kids over the break.")
        smart = Hint ("Steve didn't need the course.")
        sw_course_talk = Hint ("Talked with Steve about not needing the course.")
        lovers = Hint ("Sally and Steve were lovers.")
        sex_with_steve = Hint ("Sally had sex WITH STEVE before she died.")
        breakup = Hint ("Sally broke up with Steve.")
        cameras = Hint ("Sally was the only one to enter the premises. No one left.")
        locked = Hint ("Gate had been locked.")
        wound = Hint ("There's a wound.")
        wound2 = Hint ("Wound was described in detail.")
        was_drugged = Hint ("Victim was drugged.")
        prick_found = Hint ("Victim has been pricked with a needle.")
        orally_drugged = Hint ("Victim has been drugged orally.")
        drowned = Hint ("Victim was knocked out and drowned to death.")
        sex = Hint ("Sally had sex before she died.")
        death_time = Hint ("A few hours ago.")
        clothed = Hint ("Sally was fully clothed.")
        killed_elsewhere = Hint ("She wasn't killed at the pool.")
        got_permits = Hint ("We can do anything we have to.")
        bat_was_blooded = Hint ("Your lamp showed traces of blood on the bat.")
        you_have_been_warned = Hint ("Boss has issued a warning.")
        trafficking = Hint ("It seems there's a drug dealer at this school.")
        postcard = Hint ("Deborah keeps an old postcard a \"Steve\" wrote her.")
        ds_heart_sw = Hint ("Deborah has an heart-shaped note with her and Steves initials in it.")
        fired_gun = Hint ("We found a gun that {b}was{/b} fired.")
        # TODO: make it a Clue!
        michaels_computer = Hint ("Michael has a password proteced desktop computer.")
        transcript = Hint ("We read the transcript about Mrs. Oswold's testimony.")
        # N.B. only relevant IFF she was shot!
        you_shot = Hint ("We know who fired the gun.")

        sally_bg_check = Clue ("background check", "sergeant.background2", owner=npc_sergeant, delay=43)
        drugs = Clue ("drug compartment", "peppers.drugs_results")
        letter = Clue ("letter", "peppers.love_affair", delay=135)
        k_letter = Clue ("letter", "peppers.k_letter", "A scrap of paper.", delay=30)
        k_diary = Clue ("diary", "peppers.k_diary", "Karla's diary.", delay=80)
        alyssa_nb = Clue ("alyssa-nb", "peppers.alyssa_nb", "Alyssa's notebook.", delay=48)
        splinter = Clue ("splinter", "peppers.splinter_result", delay=7)
        fragment = Clue ("fragment", "peppers.fragment_result", delay=13)
        cut = Clue ("cut", "peppers.cut_result", delay=13)
        blooded_shirt = Clue ("blooded shirt", "peppers.b_shirt_result")
        blooded_shirt.set_icon ("shirt")
        karlas_account = Clue ("account", "peppers.k_account", delay=29)

        gun2 = Clue ("gun", "peppers.gun2_results", "A small gun.")
        gun2.innocent = False
        gun2.set_icon ("gun2")

        gun3 = Clue ("gun", "peppers.gun3_results", "A large gun.")
        gun3.innocent = False
        gun3.set_icon ("gun3")

        bat = Clue ("bat", "peppers.bat_results", "A baseball bat.")

        syringe = Clue ("syringe", "peppers.syringe_results", "A used syringe.")
        syringe.innocent = False
        syringe.add_verb ("CSI", txt="There's a tiny trace of blood on the tip of the needle.")

        cup = Clue ("cup", "peppers.cup_results", "A cup of coffee.")
        cup.add_verb ("CSI", txt="Obviously someone drank from this cup.")

        dagger = Clue ("dagger", "peppers.dagger_results", "A nasty looking dagger.")
        dagger.innocent = False
        dagger.set_icon ("dagger")

        knife = Clue ("knife", "peppers.knife_results", "A large kitchen knife.")
        knife.innocent = False
        knife.set_icon ("knife")

        sw_notebook = Clue ("notebook", "peppers.sw_notebook", "A notebook.")

        b_rag = Clue ("blooded rag", "peppers.b_rag", "A blood-stained piece of rag.")
        b_rag.add_verb ("CSI", txt="There's blood on this rag.")
        b_rag.tag = "tissue"

        gloves = Clue ("plastic gloves", "peppers.gloves", "Some pair of gloves.")

        splash = Clue ("blood splash", "peppers.splash", "A huge splash of blood.")
        splash.add_verb ("CSI", label="examine_splash")

        puddle = Clue ("puddle of blood", "peppers.puddle", "The remains of a huge puddle of blood.")
        puddle.add_verb ("CSI", label="examine_puddle")

        lm_trace = Clue ("stain", "peppers.lm_trace", "Some suspicious looking traces of bodily fluids.")
        lm_trace.add_verb ("CSI", label="examine_lm_trace1")

        weapon_stash = ContainerGroup ()
        student_desks = ContainerGroup ()

        npc_boss = NPC ("Your Boss", boss)
        npc_boss.add_topic ("Report on the progress.", "boss.report", persistent=True)
        npc_boss.add_topic ("Drug trafficking.", "boss.drugs", trigger=trafficking)
        npc_boss.add_topic ("The victim had too much money.", "boss.money", trigger=too_rich)
        # npc_boss.add_topic ("Never mind.", "boss.sorry", persistent=True)
        npc_boss.add_topic ("The killer had help.", "boss.conspiracy", trigger=not_single)

        npc_steve = NPC ("Steve Williams", sw, "steve", "A 3rd year. Brother of Karla Williams.")
        npc_steve.next_talk = "steve"
        npc_steve.talk_time = interview
        npc_steve.set_confession ("steve.break_check", "steve.confession")
        npc_karla = NPC ("Karla Williams", kw, "karla", "The younger sister of Steve Williams.")
        npc_karla.next_talk = "karla"
        npc_karla.talk_time = interview
        npc_karla.set_confession ("karla.break_check", "karla.confession")
        npc_deborah = NPC ("Deborah Smith", ds, "deborah", "One of the students.")
        npc_deborah.next_talk = "deborah"
        npc_deborah.talk_time = interview
        npc_deborah.set_confession ("deborah.break_check", "deborah.confession")
        npc_michael = NPC ("Michael Henderson", mh, "michael", "One of the students.")
        npc_michael.next_talk = "michael"
        npc_michael.talk_time = interview
        npc_alyssa = NPC ("Alyssa Davis", ad, "alyssa", "A very angry looking young woman.")
        npc_alyssa.next_talk = "alyssa"
        npc_alyssa.talk_time = interview

        all_weapons = [gun2, gun3, bat, syringe, cup, dagger, knife]
        suspects = [
                ("steve", "Steve", "Williams", "Mr.", npc_steve, None), # [gun2, gun3, bat]), # knife, dagger
                ("karla", "Karla", "Williams", "Ms.", npc_karla, None), # [syringe, cup]),
                ("deborah", "Deborah", "Smith", "Ms.", npc_deborah, [cup]), # [gun2, gun3, bat, cup]),
                ("michael", "Michael", "Henderson", "Mr.", npc_michael, None),  # cup, dagger
                ("alyssa", "Alyssa", "Davis", "Ms.", npc_alyssa, None)  # gun2, gun3, knife, dagger
            ]

    # TODO: Maybe handle this like initializing rooms?
    call sergeant from _call_sergeant
    call peppers from _call_peppers
    call coroner from _call_coroner
    # call steve ...
    return

label define_crime:
    python:
        #sus = [s for s in suspects if " ".join (s [1:3]) not in persistent.suppressed]
        #murderer = renpy.random.choice (sus or suspects)
        sus = [s for s in suspects if " ".join (s [1:3]) not in persistent.suppressed and s[5]]
        murderer = renpy.random.choice (sus or [s for s in suspects if s[5]])
        murderer_name = " ".join (murderer [1:3])
        murderer_first = murderer [1]
        murderer_last = murderer [2]
        murderer_they = "he" if murderer [3] == "Mr." else "she"
        murderer_their = "his" if murderer [3] == "Mr." else "her"
        murderer_them = "him" if murderer [3] == "Mr." else "her"
        murderer_formal = " ".join (murderer [3:1:-1])
        murderer [4].set_guilty ()
        weapons = murderer [5]
        caller, caller_first, caller_last, caller_addr, caller_item, dummy = renpy.random.choice ([s for s in suspects if s != murderer])

        from copy import copy
        blame_stash = copy (weapon_stash)
        if not npc_steve.guilty and not npc_karla.guilty and not npc_deborah.guilty:
            blame_stash += s_stash
        if not npc_karla.guilty and not npc_steve.guilty:
            blame_stash += k_stash
        if not npc_deborah.guilty:
            blame_stash += d_stash
        if not npc_michael.guilty:
            blame_stash += m_stash
        if not npc_alyssa.guilty:
            blame_stash += a_stash

        weapon = renpy.random.choice (weapons)
        attack = {
                gun2: "shot",
                gun3: "shot",
                bat: "blunt",
                syringe: "drugged",
                cup: "drugged",
                dagger: "stabbed",
                knife: "stabbed",
            } [weapon]
        was_drowned = attack == "drugged" or (attack == "blunt" and renpy.random.randint (0,1))

        if weapon == gun2:
            weapon_name = "the small gun"
        elif weapon == gun3:
            weapon_name = "the large gun"
        else:
            weapon_name = "the {}".format (weapon.name)

        # Hide most of the weapons at random places.
        if weapon != gun2:
            weapon_stash.put_into (gun2)
        if weapon != gun3:
            weapon_stash.put_into (gun3)
        if weapon != knife:
            weapon_stash.put_into (knife)
        if weapon != dagger:
            weapon_stash.put_into (dagger)

        # murder weapon might be hidden in one inoccent kid's room
        if weapon in [gun2, gun3, knife, dagger]:
            blame_stash.put_into (weapon)

        # Cup and syringe will always be lying around somewhere.
        r, x, y = renpy.random.choice (cuplocations)
        cup.assign_room (r, (x, y))
        r, x, y = renpy.random.choice (syringe_locations)
        syringe.assign_room (r, (x-20, y))

        # Let there be blood!
        if attack == "shot":
            stains = [renpy.random.choice ([b for b in csi_traces if b [-1] == "shot"])]
            stains [0].append (splash)
            floor = [b for b in csi_traces if b [-1] == "floor" and b [0] == stains [0][0]]
            if floor:
                stains.append (renpy.random.choice (floor))
                stains [1].append (puddle)
        elif attack == "drugged":
            b_rag.invalidate ()
            stains = []
            splash.invalidate ()
            puddle.invalidate ()
        else:
            stains = [renpy.random.choice ([b for b in csi_traces if b [-1] == "floor"])]
            stains [0].append (puddle)
            splash.invalidate ()

        # Make love to me one last time ...
        stains.append (renpy.random.choice ([b for b in csi_traces if b [-1] == "love" or b [-1] == "love-special"]))
        if stains [-1][-1] == "love-special":
            lm_trace.add_verb ("CSI", label="examine_lm_trace2")
        stains [-1].append (lm_trace)

        # Just give them more stuff to find ...
        for t in [t for t in csi_traces if t [-1] not in ["shot", "floor", "love", "love-special"]]:
            if isinstance (t [-1], basestring):
                stains.append (t + [eval (t [-1])])

        if weapon == bat:
            bat.add_verb ("CSI", txt="Blood! There's traces of blood on the bat!")
            bat.blued = "blooded"
        else:
            bat.add_verb ("CSI", txt="There's no traces of body fluids on this bat.")
    return

label start:
    $ quick_menu = False

    call init_game from _call_init_game

    call init_items from _call_init_items
    call init_rooms from _call_init_rooms

    # call customize from _call_customize

    $ tmp = [rooms [r] for r in rooms]
    while tmp:
        $ r = tmp.pop ()
        if renpy.has_label (r.label):
            call expression r.label from _call_expression

    if not rooms:
        p "Darn!!"
        return

    call define_crime from _call_define_crime

    call init_events from _call_init_events

    call intro from _call_intro

    $ inventory = [examine, take, phone]
    $ current_room = None
    $ rooms ["my home"].enter (0)
    call game_loop from _call_game_loop

    # Not really reached, actually.
    return

label intro:
    scene black
    """
    He changed his clothes and shined his boots

    And combed his dark hair down

    And his mother cried as he walked out

    Don't take your guns to town{w} son

    Leave your guns at home{w} Bill

    Don't take your guns to town
    """
    return

label game_loop:
    $ inv_offset = 0
    $ renpy.block_rollback ()
    $ renpy.choice_for_skipping ()
    call check_status from _call_check_status

    window hide
    $ selected = None
label csi_loop:
    $ found = renpy.call_screen (current_room.screen)
    if found == torch and not selected:
        if current_room.no_csi:
            "[current_room.no_csi]"
            jump game_loop
        else:
            "You turn on your searchlight."
            $ selected = torch
            $ clock += csi_tick
            jump csi_loop
    elif found == phone and not selected:
        $ selected = phone
        call phone_call from _call_phone_call
        jump game_loop

    $ action = selected.action () if selected else "look"

    if isinstance (action, basestring):
        if action == "take" and found in inventory:
            if isinstance (found, Item):
                $ found ("touch")
        elif action == "take" and isinstance (found, Container):
            label content_loop:
            if found.content:
                $ selected = None
                $ cmd = renpy.call_screen ("content", found)
                if selected and cmd != "close":
                    $ selected (cmd, found)
                    if found.content:
                        jump content_loop
            else:
                "The [found.name] contains nothing of relevance."
            jump game_loop
        elif isinstance (found, Item):
            $ found (action)
    elif action == torch:
        if isinstance (found, basestring):
            "DEBUG: [found] clicked!"
        else:
            $ found ("CSI")
    elif action != found:
        if isinstance (found, NPC):
            $ action ("give", found)
        else:
            # use x on y or use y on x ... I hate these kinda things.
            $ found ("use", action)

    jump game_loop


# TODO: maybe a phone app for status summary or something?
label phone_call:
    if current_room.name == "my home":
        "You don't have time for that right now!"
        return

    menu:
        "Who you gonna call?"

        "Ghostbusters" if not joker:
            $ joker = True
            "Do be serious!"

        "Sergeant Miller":
            call talk_with pass (npc_sergeant, phone=True) from _call_talk_with

        "Peppers":
            call talk_with pass (npc_peppers, phone=True) from _call_talk_with_1

        "Coroner":
            call talk_with pass (npc_coroner, phone=True) from _call_talk_with_2

        "Your boss":
            call talk_with pass (npc_boss, phone=True) from _call_talk_with_3

        "Read your textmessages." if sally_bg_check.known and not transcript.known:
            jump taylor_transcript

    return

label examine_gun (clue=None, v=None, o=None):
    if clue == gun2:
        jump examine_gun2
    else:
        jump examine_gun3
    return

label examine_gun2 (i=None, v=None, o=None):
    "A nasty looking gun of a relatively small caliber."
    "What is this thing doing at a high-school where anybody could find it?"
    "Carefully you take a sniff."
    if weapon == gun2:
        $ fired_gun.got ()
        p "This one's recently fired."
        sk "You think she was killed with that?"
        p "Maybe. We should take it to Peppers."
    elif fired_gun in hints_got:
        p "This thing hasn't been used in a while."
        sk "Good. I'd hate to run into another body. I prefer having one simple case at a time, please."
    elif attack == "shot":
        sk "She {i}was{/i} shot ..."
        p "Yeah. But not with this thing here.{w} It hasn't been fired in a while."
        sk "Great. So there's another gun somewhere else at this school."
        p "Yes. We have to find it."
    else:
        "You smell nothing specific."
    return

label examine_gun3 (i=None, v=None, o=None):
    "One of those ugly things with a larger-than-need-to-be caliber."
    "Lying around barely hidden in a high-school full of hormone-ridden teenagers."
    "There's no way this could be a problem, right?"
    if weapon == gun3:
        $ fired_gun.got ()
        p "Seems like it has been fired recently."
        p "Peppers should have a look at this."
    elif fired_gun in hints_got:
        p "This thing hasn't been used in a while."
        sk "Good. I'd hate to run into another body. I prefer having one simple case at a time, please."
    elif attack == "shot":
        sk "She {i}was{/i} shot ..."
        p "Yeah. But not with this thing here.{w} It hasn't been fired in a while."
        sk "Great. So there's another gun somewhere else at this school."
        p "Yes. We have to find it."
    return

label examine_bat (i=None, v=None, o=None):
    "A baseball bat lying around in the cabinet of a schools gym."
    "That's hardly a surprising sight."
    "A bit strange that it's the only one you can see around."
    "Last time you checked baseball was a team sport."
    if weapon == i and bat_was_blooded in hints_got:
        "According to your lamp there's traces of blood on the bat."
        "Somebody has cleaned any visible stains, though."
        "This could definitely be the weapon used to attack the victim."
    return

label examine_syringe (i=None, v=None, o=None):
    "Finding a used syringe lying around at a high-school never is a good sign."
    if autopsy.state == "idle":
        "Hmm. I should have asked the coroner about the presumed cause of death. Maybe this was the weapon?"
        return
    elif wound in hints_got:
        sk "This can't be the murder weapon."
        p "Yeah. But I don't like the idea of drug trafficking at a high-school."
        $ trafficking.got ()
        return
    elif autopsy in clues_handled:
        if weapon == syringe:
            p "This might be the weapon she's been attacked with."
            sk "Yeah. I'll bet you're right."
            return
        else:
            sk "She's been drugged ...{w} You think they used this?"
            p "Didn't the coroner say something about \"orally administered\"?"
            sk "Of course."
            return
    p "... There was no visible wound on the victim ..."
    sk "You think, somebody drugged her using this syringe?"
    p "Maybe."
    return

label examine_cup (i=None, v=None, o=None):
    "There's still some liquid in the cup."
    if autopsy.state != "idle" and not wound in hints_got:
        if not autopsy.known:
            p "We've found no visible wound on Ms. Reynolds ... maybe she was drugged or even poisoned?"
            sk "Like, using this cup ... ?"
            p "Maybe."
        elif orally_drugged.known:
            p "Didn't the coroner say something about the victim being drugged orally?"
            sk "Yeah. It's probably worth a shot."
    return

label examine_dagger (i=None, v=None, o=None):
    "This clearly doesn't look like a theatre-weapon."
    if attack == "stabbed" and autopsy.state != "idle":
        "This might be the weapon used to stab Sally."
    return

label examine_knife (i=None, v=None, o=None):
    "Just a kitchen knife. But what is it doing {i}here?{/i}"
    if attack == "stabbed" and autopsy.state != "idle":
        "This might well be the murder weapon."
    return

label examine_blooded_rag (i=None, v=None, o=None):
    "In your experience blood is always relevant. Sure, maybe there was just an sports accident ... but ..."
    "Carefully peeking past the rag you realize that there's a small puddle of what well might be bloodied water in the bucket, too."
    "You'd almost bet money that someone used this bucket to wash away the blood from the crime scene."
    return

label examine_notebook (i=None, v=None, o=None):
    "You open the notebook and boot it up."
    "It's locked and you don't know the password."
    "What a pity!"
    return

label examine_splash (i=None, v=None, o=None):
    $ splash.send ()
    "Someone tried very hard to remove this huge splash of blood on the wall."
    "If it weren't for your special lamp you never would have found it."
    p "Looks like we've found our crime scene."
    sk "Yeah. I'll call Peppers."
    p "Sure. Maybe she can find the projectile, too."
    return

label examine_puddle (i=None, v=None, o=None):
    $ puddle.send ()
    sk "If there hasn't been a life threatening accident lately ..."
    p "Yes. This looks like our victim died here, lying in her own blood."
    if drowned in hints_got:
        extend " Or rather she was lying here helplessly until her murderer finished his crime by throwing her into that pool."
    elif not autopsy in clues_handled:
        extend " Or maybe she didn't die {i}right here{/i} ... but she clearly was rendered helpless by the attack."
    sk "... Peppers?"
    p "Yes. Please do call her. We need the confirmation."
    return

label examine_lm_trace1 (i=None, v=None, o=None):
    p "Looks someone got lucky."
    "[sk_She] gives the traces you found a closer examination."
    sk "Seems pretty fresh to me."
    menu:
        "Not our business.":
            p "Let's move on. This is a high-school after all ..."
            sk "Whatever you say, [sk_address]!"

        "Please tell Peppers.":
            $ lm_trace.send ()
            p "Please have Peppers analyze this. Maybe it's relevant to our case."
            if sex in hints_got:
                sk "Yeah. Didn't she say something about the victim having that kind of fun before she was killed?"
            else:
                sk "Yes. Might shine a light on the motive ..."
    return

label examine_lm_trace2 (i=None, v=None, o=None):
    p "Is it just me or does that look like ..."
    sk "It's not just you."
    p "On a gym-mattress?"
    sk "Beats doing it on the floor I guess."
    menu:
        "Not our business.":
            p "Let's move on. This is a high-school after all ..."
            sk "Whatever you say, [sk_address]!"

        "Please tell Peppers.":
            $ lm_trace.send ()
            p "Please have Peppers analyze this. Maybe it's relevant to our case."
            if sex in hints_got:
                sk "Yeah. Didn't she say something about the victim having that kind of fun before she was killed?"
            else:
                sk "Yes. Might shine a light on the motive ..."
    return

label dont_take_your_guns_to_town:
    "Suddenly there's a quick movement at your back."
    "Before you can react"
    scene black with flashbulb
    show screen tombstone
    pause
    hide screen tombstone
    jump credits.nopause

label yourefired:
    hide screen placename

    scene bg fired
    # show text "You're fired!" size 40 at truecenter
    show text "{size=40}You're fired!{/size}" at truecenter
    pause

    # "{size=40}You're fired!{/size}"
    jump credits

# The culprit confessed his crime.
label murderer_confessed:
    $ endgame = True
    scene bg gym
    show expression murderer [0] as pers
    p "[address!c], if you would do the honors?"
    sk "With pleasure, [sir]!"
    "[sk_She] walks up to [murderer_them] and you here the most satisfying sound in the world."
    "** {b}CLICK{/b} **"
    sk "You have the right to remain silent, everything..."
    "While your partner drones on about the culprits' right and all these things you heard a thousand times before ..."
    "Your mind starts to wander off. Your boss had made herself very clear. She wants this case closed as quickly as possible."
    "But. Do you really have all the evidence you need?"
    "Won't be the first time a criminal revokes their confession in trial."
    "Won't be the first time some top-notch lawyer who charges twice your monthly wage {i}per hour{/i} finds a way to raise doubt ..."
    "You swear yourself to make sure this time!"
    "There'll still be time to tell her the good news ..."
    python:
        npc_boss.topics = []
        npc_boss.add_topic ("We closed the case!", "case_closed", endgame=True)
        # Remove the murderer from the scene, (s)he's behind bars now.
        suspects.remove (murderer)
        for s in suspects:
            s [4].topics = []
        npc_steve.next_talk = "steve.omg"
        npc_karla.next_talk = "karla.omg"
        npc_deborah.next_talk = "deborah.omg"

    hide pers
    return

# Someone decided they won't talk to you no more and calls their lawyer. You will not get anymore clues.
label lock_up (who=murderer_name):
    scene black
    "Before you know it your case is taken out of your hands."
    "[who] calls a lawyer. Everybody else does so too. ..."
    "Long story short, you don't get any more information out of anybody anymore."
    "You can only hope that it's enough to prove your case in court."
    jump trial

# You have the culprit behind bars and told your boss that you've closed the case.
# Let's hope you really have enough evidence to prove your case!
label case_closed:
    scene bg front
    show expression sk_image
    "You and [sk_label] leave the premises and you decide to call your boss."
    p "We have arrested [murderer_name], Ma'am. And we do believe we have enough evidence to prove the case in trial."
    boss "Seems I have to congratulate you, chief inspector."
    "You should be satisfied to hear your boss reluctantly praising you for a job well done."
    "But all you really feel is the deep relief of having solved another case."
    "Of having put another criminal to justice."
label trial:
    # scene bg gym
    # show expression murderer [0]
    # "You walk up to [murderer_name] and and tell [murderer_them] that [murderer_they] have been arrested."
    # "Of course [murderer_they] were already expecting you."
    $ missed_stuff = [c for c in vital_clues if not c.known]
    if missed_stuff:
        scene black
        "It's a pity that this feeling couldn't last, but you have only yourself to blame for this."
        # You missed one vital clue.
        $ darn = renpy.random.choice (missed_stuff)
        if darn == kids_did_it:
            "Five minutes in trial was all it took. [murderer_formal]'s laywer asked you if you could exclude every other possible suspect."
            "You had to concede that you never checked if there were any other suspects but those kids."
            "Before you could explain yourself the judge ordered the case to be dismissed."
        elif darn == autopsy:
            "You really should have waited for the autopsy."
            "How can you expect the prosecutor to prove his case if they can't even tell the judge exactly how the victim died?"
        elif darn in [weapon_analyzed, weapon_linked]:
            "Seems you relied to much on [murderer_formal]'s confession."
            "A short talk with his legal council and [murderer_they] revoked that confession."
            "And since you didn't bother to link the murderer with the crime your case just went down the drain."
        else:
            "There's one thing you never really found out, let alone were able to actually {i}prove{/i}."
            "Why did [murderer_they] do it?"
            "Without a clear motive the prosecutor eventually failed to prove his case."
        "Your boss didn't even bother to scold you. She just asked you for your badge and weapon."
        "If only you had tried harder."
        jump yourefired
    "Even your boss is happy with you for once."
    "You decide you shouldn't get used to this."
    if not murderer_name in persistent.solved:
        $ persistent.solved.append (murderer_name)
    if not murderer_name in persistent.suppressed:
        $ persistent.suppressed.append (murderer_name)
    scene bg jail
    show bars
    show expression murderer [0] behind bars
    jump credits

label credits:
    pause 2.0

    scene black with Dissolve (5.0)

label .nopause:
    hide screen placename
    call screen about

    $ renpy.full_restart ()
    return


screen tombstone ():
    style_prefix "tombstone"

    zorder 200

    window:
        has vbox xalign 0.53 ypos 300

        # spacing 50

        text "[first] [last]"
        text ""

        text "January 12th, [byear]"
        text "[month] [day], [year]"
        text ""

        text "Shot with [his] own"
        text "weapon."


style tombstone_window:
    xsize 1280
    ysize 720
    xalign 0
    yalign 0

    background "bg/bg youredead.jpg"

style tombstone_text:
    color "888"
    size 25
    xalign 0.5
    outlines [ (0, "000", -1, -1), (0, "fff", 1, 1) ]

screen disclaimer ():
    style_prefix "disclaimer"

    zorder 200

    window:
        has vbox yalign 0.5

        spacing 30

        text "Disclaimer" size 50 color "#f00"
        text "This is a game about a murder investigation."
        text "There will be death and maybe suicide."
        text "Don't play if you're easily disturbed by dark themes."
        text "And don't play if your offended by casual talk about sexual relationships or occasionally strong language."

style disclaimer_window:
    xsize 1280
    ysize 720
    xalign 0
    yalign 0

    background "bg/bg game menu.jpg"

style disclaimer_text:
    xpos 240
    xsize 780
    xalign 0
    size 25

