init python:
    Room ("sick room", "sick_room", "sick_room")

label sick_room:
python:
    ex_sick = Exit ("hall", "Back to the hall.", "You return to the hall.")

    supplies = Item ("supply cabinet")
    supplies.look ("A small cabinet with supplies.")
    supplies.ex ("Fresh sheets for the bed, bandages, plasters, throw-away sterile packed syringes, needles for syringes ...")
    supplies.add_verb ("take", txt="It would take hours to secure all this as evidence and nothing of it seems "
                       "particulary relevant for your investigation at the moment. That aside, the thing is locked too.")

    test = Item ("vision test sheet")
    test.look ("A standard vision test sheet.")
    test.add_verb ("ex", who=sk, txt="Didn't you just pass one of those, [sk_address]?")

    sr_drawer1 = Container ("drawer in the supply cabinet")
    sr_drawer1.look ("One of the drawers of the cabinet is unlocked.")
    sr_drawer1.ex ("Most of this drawers' content is just more sterile packed syringes.")

    sr_books = Item ("medical compendia")
    sr_books.look ("That stuff is way over your had. [coroner_first] could probably tell you more about it.")
    sr_books.ex ("You don't have the time to study medicine today.")
    sr_books.add_verb ("take", txt="You really should leave these alone. The schools' doctor surely has regular need for them.")

    sr_note1 = Item ("note")
    sr_note1.look ("A short note by the schools doctor to his nurse about restocking the supplies over the break.")

    sr_note2 = Item ("report", takeable=True)
    sr_note2.look ("Seems the doctor was about to file a report on ...")

    # drugs = Item ("drug compartment")
    drugs.look ("Another compartment with medical supplies. This one contains drugs for treating several ailments.")
    drugs.add_verb ("ex", label="stolen_drugs")
    drugs.remove_verb ("take")

    sr_drawer2 = Container ("upper drawer")
    sr_drawer2.look ("The upper drawer of the desk in the sick room.")
    sr_drawer3 = Container ("middle drawer")
    sr_drawer3.look ("The middle drawer of the desk in the sick room.")
    sr_drawer4 = Container ("lower drawer")
    sr_drawer4.look ("The lower drawer of the desk in the sick room.")
    weapon_stash += [sr_drawer1, sr_drawer2, sr_drawer3, sr_drawer4]

    sr_pillow = Item ("pillow")
    sr_pillow.look ("Just a pillow.")
    sr_pillow.ex ("Even without going full forensics on this thing I can easily find at least three different colors "
        "of hair on this pillow.{w} Eww. Don't they ever clean in here?")

    sr_pillow_stains = Clue ("stains on pillow", "peppers.junk_results", "Theres's so many stains on this pillow ... someone has a real hygiene problem.")

    sr_bed_stains = Clue ("stains on bed", "peppers.junk_results", "Eww. Just eww! Do they ever change the sheets?")
return

label stolen_drugs (i, v, o):
    $ drugs.find ()
    $ npc_peppers.add_topic ("Tell her about the broken compartment.", "peppers.drugs_stolen")
    "A closer look at the compartment reveals that the lock has been broken open."
    p "Looks like somebody has broken into the drug compartment."
    sk "Maybe we should ask Peppers to let her team have a look at it?"
    p "Yeah. We should."
    return

screen sick_room ():
    imagemap:
        alpha True

        ground "bg/bg sick room.jpg"
        hover "bg/bg sick room mask.png"

        if selected != torch:
            hotspot (662, 17, 187, 274) action Return (supplies)
            hotspot (981, 76, 94, 155) action Return (test)
            hotspot (660, 315, 82, 41) action Return (sr_drawer1)
            hotspot (0, 322, 129, 115) action Return (sr_books)
            hotspot (658, 373, 74, 157) action Return (supplies)
            if True:
                hotspot (276, 399, 131, 30) action Return (sr_note1)
            else:
                hotspot (276, 399, 131, 30) action Return (sr_note2) sensitive not sr_note2.moved
            if attack != "drugged":
                hotspot (464, 412, 121, 186) action Return (supplies)
            else:
                hotspot (464, 412, 121, 186) action Return (drugs)
            hotspot (868, 420, 145, 57) action Return (sr_pillow)
            hotspot (325, 437, 126, 50) action Return (sr_drawer2)
            hotspot (326, 499, 126, 54) action Return (sr_drawer3)
            hotspot (328, 554, 120, 110) action Return (sr_drawer4)
            hotspot (575, 652, 704, 67) action Return (ex_sick)
            use hints ("sick room")
        else:
            use hints ("sick room")
            add Searchlight ("sick room")

        use inventory
