init python:
    Room ("teachers' office", "teachers", "teachers")

label teachers:
python:
    ex_teachers = Exit ("hall", "Back to the hall.", "You return to the hall.")

    flower_note = Item ("flower shaped note")
    flower_note.look ("It should say something relevant.")

    t_note1 = Item ("note")
    t_note1.look ("The note in the top right corner.")

    t_note2 = Item ("note")
    t_note2.look ("A tall, thin note.")

    t_note3 = Item ("note")
    t_note3.look ("The one below the one in the top right corner.")

    t_note4 = Item ("note")
    t_note4.look ("Actually that's two notes in one hotspot.")

    secret = Container ("secret")
    secret.look ("A hard to find container.")

    scissors = Item ("scissors")
    scissors.look ("Maybe someone could use a pair of scissors to stab someone?")
    scissors.ex ("These scissors are too blunt and too fragile to be useful as a weapon")

    files = Clue ("files", "sergeant.files_results", owner=npc_sergeant)
    f_cabinet = Item ("files")
    f_cabinet.look ("A filing cabinet full of ... files.")
    f_cabinet.add_verb ("ex", label="ex_f_cabinet")
    f_cabinet.add_verb ("take", label="ex_f_cabinet")

    jacket = Clue ("jacket", "peppers.jacket_results", "Maybe it belonged to the victim?")
    jacket.add_verb ("ex", label="ex_jacket")
    jacket.remove_verb ("take")
    #jacket.add_verb ("take", txt="You should leave it for Peppers and her team. There's no need for you to drag it around.")
    #jacket.block_verb ("take", "You should leave it for ...:")

    papers = Item ("papers")
    papers.look ("Some half-corrected tests from last term.")
    papers.ex ("Some of the students will like the results better than others. That's for sure.")

    pills = Clue ("pills", "peppers.pill_results", "A bottle of sleeping pills.")
    pills.tag = "pillbox"
    pills.add_verb ("ex", label="pill_musings")
    pills.assign_room ("teachers' office", (265, 408))

    t_letter = Item ("letter")
    t_letter.look ("A crumbled letter.")
    t_letter.add_verb ("ex", label="dear_steve")

    t_drawer = Container ("drawer")
    t_drawer.look ("One of the drawers.")

    t_desk = Container ("desk")
    t_desk.look ("A compartment at one of the desks.")

    t_letter2 = Item ("letter")
    t_letter2.look ("A crumbled letter.")
    t_letter2.ex ("Marry me, marry me, marry me{w} and so on. One whole page of it.")

    casette = Item ("casette")
    casette.look ("This is so oldfashioned I should use it as a clue.")

    weapon_stash += [t_drawer, t_desk, secret]
return

label dear_steve (i, v, o):
    "You read the letter out loud."
    p "\"Dear Steve, I fear I have to\""
    "Who ever wrote this letter, didn't finish it."
    sk "That's a break-up letter."
    p "Probably. But it's not really usable as evidence, is it?"
    sk "No."
    return

label ex_jacket (i, v, o):
    $ jacket.find ()
    $ npc_peppers.add_topic ("We've found a jacket.", "peppers.please_mind_jacket")
    "You carefully search the pockets until you find a driver's license."
    "\"Sally Reynolds\"."
    sk "I'd say Peppers'd like to know about this."
    p "Yeah."
    return

label ex_f_cabinet (i, verb, o):
    if not files.is_visible ():
        "You've already taken care of that."
        return
    $ files.find ()
    $ npc_sergeant.add_topic ("Please check the files in the TR.", "sergeant.please_check_files")
    if verb != "take":
        "You and [address] quickly browse through the files."
    sk "Seems to be a file on any student and teacher of this school."
    p "Yeah. That's way too much for us to sift through right now."
    p "Let's delegate this to the local police."
    return

label pill_musings (i, v, o):
    if autopsy.is_visible ():
        p "Do we know how she was killed?"
        sk "No. Maybe we should talk to the coroner."
    else:
        if attack != "drugged":
            "Seems one of the teachers has troubles sleeping."
        elif autopsy in clues_handled:
            sk "We know the victim was drugged ..."
            if weapon == syringe:
                p "Yeah. But appearantly using a syringe or something."
                sk "Hmm."
            else:
                p "Using these pills?"
                sk "Maybe."
        else:
            "The coroner said, there's been no visible wound."
            if killed_elsewhere in hints_got:
                extend " And Peppers said the victim has been dragged around."
            extend " Maybe somebody drugged her with these pills?"
    return

screen teachers ():
    imagemap:
        alpha True

        ground "bg/bg teachers' office.jpg"
        hover "bg/bg teachers' office mask.png"

        if selected != torch:
            hotspot (0, 0, 110, 719) action Return (ex_teachers)
            # TODO: Will NOT be visible! Placeplate!!!
            # hotspot (1145, 0, 93, 72) action Return (t_note1)
            hotspot (775, 26, 31, 88) action Return (t_note2)
            hotspot (671, 32, 43, 46) action Return (flower_note)
            hotspot (1125, 89, 66, 85) action Return (t_note3)
            hotspot (669, 99, 83, 127) action Return (t_note4)
            hotspot (589, 262, 23, 20) action Return (secret)
            hotspot (962, 274, 232, 159) action Return (f_cabinet)
            hotspot (516, 313, 32, 46) action Return (scissors)
            hotspot (806, 333, 114, 155) action Return (jacket) sensitive jacket.is_visible ()
            hotspot (304, 340, 98, 82) action Return (papers)
            hotspot (717, 395, 79, 61) action Return (t_drawer)
            hotspot (386, 424, 45, 30) action Return (t_letter)
            hotspot (1229, 456, 27, 86) action Return (None)
            hotspot (460, 466, 110, 223) action Return (t_desk)
            hotspot (790, 489, 38, 14) action Return (t_letter2)
            hotspot (1022, 621, 78, 48) action Return (casette)
            imagebutton:
                insensitive "icons/dummy.png"
                idle "objects/pillbox.png"
                hover "objects/pillbox-mask.png"
                action [Return (pills), SensitiveIf (not pills.moved)]
                xpos 265
                ypos 408
            use hints ("teachers' office")
        else:
            use hints ("teachers' office")
            if not pills.moved:
                add "objects/pillbox.png" xpos 265 ypos 408
            add Searchlight ("teachers' office")

        use inventory
